com.sun.jna.platform.win32

## Class WinDef.BOOL

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.BOOL

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.BOOL>
  Enclosing interface:
    WinDef

      public static class WinDef.BOOL
      extends IntegerType
      implements java.lang.Comparable<WinDef.BOOL>

  The Class BOOL.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE` The Constant SIZE.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BOOL()` Instantiates a new bool.
    `BOOL(boolean value)` Instantiates a new bool.
    `BOOL(long value)` Instantiates a new bool.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()`
    `static int` | `compare(boolean v1, boolean v2)`
    `static int` | `compare(WinDef.BOOL v1, boolean v2)` Compares a BOOL value with a `long` one.
    `static int` | `compare(WinDef.BOOL v1, WinDef.BOOL v2)` Compares 2 BOOL values - - Note: a `null` value is considered greater than any non-`null` one (i.e., `null` values are "pushed" to the end of a sorted array / list of values)
    `int` | `compareTo(WinDef.BOOL other)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      The Constant SIZE.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BOOL

          public BOOL()

      Instantiates a new bool.

    - #### BOOL

          public BOOL(boolean value)

      Instantiates a new bool.
      Parameters:
        `value` - the value

    - #### BOOL

          public BOOL(long value)

      Instantiates a new bool.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### booleanValue

          public boolean booleanValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IntegerType`

    - #### compareTo

          public int compareTo(WinDef.BOOL other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<WinDef.BOOL>`

    - #### compare

          public static int compare(WinDef.BOOL v1,
                                    WinDef.BOOL v2)

      Compares 2 BOOL values - - Note: a `null` value is considered greater than any non-`null` one (i.e., `null` values are "pushed" to the end of a sorted array / list of values)
      Parameters:
        `v1` - The 1st value
        `v2` - The 2nd value
      Returns:
        0 if values are equal (including if both are `null`, negative if 1st value less than 2nd one, positive otherwise. Note: the comparison uses the `booleanValue()`.
      See Also:
        `compare(boolean, boolean)`

    - #### compare

          public static int compare(WinDef.BOOL v1,
                                    boolean v2)

      Compares a BOOL value with a `long` one. Note: if the BOOL value is `null` then it is consider greater than any `long` value.
      Parameters:
        `v1` - The `WinDef.BOOL` value
        `v2` - The `boolean` value
      Returns:
        0 if values are equal, negative if 1st value less than 2nd one, positive otherwise. Note: the comparison uses the `IntegerType.longValue()`.
      See Also:
        `compare(boolean, boolean)`

    - #### compare

          public static int compare(boolean v1,
                                    boolean v2)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.